Subject: Re: [PATCH v5 net-next] net: phy: Add Edge-rate driver for Microsemi PHYs.

From: Andrew Lunn <[email-masked]>
Date: Tue, 4 Oct 2016 08:54:01 +0200

On Tue, Oct 04, 2016 at 12:48:59AM -0400, David Miller wrote:
> From: Raju Lakkaraju <[email-masked]>
> Date: Mon, 3 Oct 2016 12:53:13 +0530
> 
> > From: Raju Lakkaraju <[email-masked]>
> > 
> > Edge-rate:
> > As system and networking speeds increase, a signal's output transition,
> > also know as the edge rate or slew rate (V/ns), takes on greater importance
> > because high-speed signals come with a price. That price is an assortment of
> > interference problems like ringing on the line, signal overshoot and
> > undershoot, extended signal settling times, crosstalk noise, transmission
> > line reflections, false signal detection by the receiving device and
> > electromagnetic interference (EMI) -- all of which can negate the potential
> > gains designers are seeking when they try to increase system speeds through
> > the use of higher performance logic devices. The fact is, faster signaling
> > edge rates can cause a higher level of electrical noise or other type of
> > interference that can actually lead to slower line speeds and lower maximum
> > system frequencies. This parameter allow the board designers to change the
> > driving strange, and thereby change the EMI behavioral.
> > 
> > Edge-rate parameters (vddmac, edge-slowdown) get from Device Tree.
> > 
> > Tested on Beaglebone Black with VSC 8531 PHY.
> > 
> > Signed-off-by: Raju Lakkaraju <[email-masked]>
> 
> Applied, thanks.

Oh dear. It was not ready for acceptance yet. I guess you missed all
the discussion because it was attached to the previous version of the
patch.

Raju you now need to submit fixup patches relative to the version
David has accepted, to fix the issues we were discussing.

      Andrew